Bug 17372 - Elasticsearch paths need to be standardized
Summary: Elasticsearch paths need to be standardized
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Architecture, internals, and plumbing (show other bugs)
Version: unspecified
Hardware: All All
: P5 - low normal (vote)
Assignee: Jonathan Druart
QA Contact: Testopia
URL:
Keywords:
Depends on: 12478 16838
Blocks: 14899 17255
  Show dependency treegraph
 
Reported: 2016-09-29 10:07 UTC by Jonathan Druart
Modified: 2017-06-14 22:13 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 17372: Standardize Elasticsearch paths (11.82 KB, patch)
2016-09-29 10:11 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 17372: Standardize Elasticsearch paths (11.82 KB, patch)
2016-09-29 10:49 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 17372: Standardize Elasticsearch paths (11.87 KB, patch)
2016-09-29 15:33 UTC, Nick Clemens
Details | Diff | Splinter Review
Bug 17372: Standardize Elasticsearch paths (11.93 KB, patch)
2016-10-11 08:44 UTC, Kyle M Hall
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Jonathan Druart 2016-09-29 10:07:42 UTC
We have:
Koha/ElasticSearch.pm
Koha/ElasticSearch/Indexer.pm
Koha/SearchEngine/Elasticsearch/QueryBuilder.pm
Koha/SearchEngine/Elasticsearch/Search.pm

We want:
Koha/SearchEngine/Elasticsearch.pm
Koha/SearchEngine/Elasticsearch/Indexer.pm
Koha/SearchEngine/Elasticsearch/QueryBuilder.pm
Koha/SearchEngine/Elasticsearch/Search.pm
Comment 1 Jonathan Druart 2016-09-29 10:11:58 UTC
Created attachment 55911 [details] [review]
Bug 17372: Standardize Elasticsearch paths

What we currently have:
Koha/ElasticSearch.pm
Koha/ElasticSearch/Indexer.pm
Koha/SearchEngine/Elasticsearch/QueryBuilder.pm
Koha/SearchEngine/Elasticsearch/Search.pm

What we want:
Koha/SearchEngine/Elasticsearch.pm
Koha/SearchEngine/Elasticsearch/Indexer.pm
Koha/SearchEngine/Elasticsearch/QueryBuilder.pm
Koha/SearchEngine/Elasticsearch/Search.pm

Test plan:
  % git grep -i Koha::ElasticSearch
  % git grep ElasticSearch|grep -v Catmandu::Store::ElasticSearch
should not return any result

Do a full reindex and search for records
Comment 2 Jonathan Druart 2016-09-29 10:49:24 UTC
Created attachment 55914 [details] [review]
Bug 17372: Standardize Elasticsearch paths

What we currently have:
Koha/ElasticSearch.pm
Koha/ElasticSearch/Indexer.pm
Koha/SearchEngine/Elasticsearch/QueryBuilder.pm
Koha/SearchEngine/Elasticsearch/Search.pm

What we want:
Koha/SearchEngine/Elasticsearch.pm
Koha/SearchEngine/Elasticsearch/Indexer.pm
Koha/SearchEngine/Elasticsearch/QueryBuilder.pm
Koha/SearchEngine/Elasticsearch/Search.pm

Test plan:
  % git grep -i Koha::ElasticSearch
  % git grep ElasticSearch|grep -v Catmandu::Store::ElasticSearch
should not return any result

Do a full reindex and search for records
Comment 3 Nick Clemens 2016-09-29 15:33:09 UTC
Created attachment 55931 [details] [review]
Bug 17372: Standardize Elasticsearch paths

What we currently have:
Koha/ElasticSearch.pm
Koha/ElasticSearch/Indexer.pm
Koha/SearchEngine/Elasticsearch/QueryBuilder.pm
Koha/SearchEngine/Elasticsearch/Search.pm

What we want:
Koha/SearchEngine/Elasticsearch.pm
Koha/SearchEngine/Elasticsearch/Indexer.pm
Koha/SearchEngine/Elasticsearch/QueryBuilder.pm
Koha/SearchEngine/Elasticsearch/Search.pm

Test plan:
  % git grep -i Koha::ElasticSearch
  % git grep ElasticSearch|grep -v Catmandu::Store::ElasticSearch
should not return any result

Do a full reindex and search for records

Signed-off-by: Nick Clemens <nick@bywatersolutions.com>
Comment 4 Nick Clemens 2016-09-29 15:33:39 UTC
Rebased minor conflict from bug 16838
Comment 5 Kyle M Hall 2016-10-11 08:44:09 UTC
Created attachment 56137 [details] [review]
Bug 17372: Standardize Elasticsearch paths

What we currently have:
Koha/ElasticSearch.pm
Koha/ElasticSearch/Indexer.pm
Koha/SearchEngine/Elasticsearch/QueryBuilder.pm
Koha/SearchEngine/Elasticsearch/Search.pm

What we want:
Koha/SearchEngine/Elasticsearch.pm
Koha/SearchEngine/Elasticsearch/Indexer.pm
Koha/SearchEngine/Elasticsearch/QueryBuilder.pm
Koha/SearchEngine/Elasticsearch/Search.pm

Test plan:
  % git grep -i Koha::ElasticSearch
  % git grep ElasticSearch|grep -v Catmandu::Store::ElasticSearch
should not return any result

Do a full reindex and search for records

Signed-off-by: Nick Clemens <nick@bywatersolutions.com>

Signed-off-by: Kyle M Hall <kyle@bywatersolutions.com>
Comment 6 Brendan Gallagher 2016-10-12 07:51:15 UTC
Pushed to Master - Should be in the November 16.11 release.  Thanks!
Comment 7 Frédéric Demians 2016-10-22 11:48:23 UTC
Pushed in 16.05. Will be in 16.05.05.